# FFI::arrayType

(PHP 7 >= 7.4.0)

FFI::arrayType — Dynamically constructs a new C array type

### Description

public static FFI::arrayType ( FFI\CType `$type` , array `$dims` ) : FFI\CType

Dynamically constructs a new C array type with elements of type defined by `type`, and dimensions specified by `dims`. In the following example `$t1` and `$t2` are equivalent array types:

`<?php
$t1 = FFI::type("int[2][3]");
$t2 = FFI::arrayType(FFI::type("int"), [2, 3]);
?>`

### Parameters

`type`

  A valid C declaration as string, or an instance of FFI\CType which has already been created.

`dims`

  The dimensions of the type as array.

### Return Values

Returns the freshly created FFI\CType object.